Library Version 18.1.40

register_db
Prev | Chapter 1. Dbstl Global Public Functions | Next

## register_db

### Function Details

     void register_db(Db *pdb1)

Register a Db handle "pdb1".

This handle and handles opened in it will be closed by ResourceManager , so application code must not try to close or delete it. Users can do enough configuration before opening the Db then register it via this function. All database handles should be registered via this function in each thread using the handle. The only exception is the database handle opened by dbstl::open_db should not be registered in the thread of the dbstl::open_db call.

#### Parameters

##### pdb1

The database handle to register into dbstl for current thread.

### Class

dbstl_global_functions

Prev | Up | Next
set_current_txn_handle | Home | register_db_env